
Application: gvSIG desktop - gvSIG bugs #1119
Herramientas Deshacer/Rehacer - Undo/Redo tools
09/11/2012 10:58 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2052 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: undo, redo, rehacer, deshacer Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - Herramientas Deshacer/Rehacer:
Pasos
1.- Abrir gvSIG
2.- Abrir VISTA NUEVA
3.- Abrir capa snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
4.- Botón derecho del ratón sobre la capa en la ToC y pinchar en Comenzar Edición
5.- Menú Capa/Insertar y dibujar:
    a) Cuadrado
    b) Círculo
    c) Elipse
6.- Pinchar en la herramienta DESHACER y deshacer todos los pasos hasta que el botón aparezca como desactivado
7.- Pinchar en la herramienta REHACER

    -  Solo logro rehacer el cuadrado, la primera geometría dibujada.
    -  Si en vez de pinchar en la herramienta de la barra de menús me dirijo a Editar/Deshacer (y deshago todos los pasos), aparece
un mensaje de error "java.util.EmptyStackException"

ENG - Undo/Redo tools:
Steps
1.- Open gvSIG
2.- Open NEW VIEW
3.- Open layer snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
4.- In ToC select right button menu on layer selected and click Start edition
5.- Go to Menu Layer/Insert and draw:
    a) Square
    b) Circle
    c) Ellipse
8.- Click UNDO tool and undo all steps, until the button appears deactivated
8.- Click REDO tool

    -  I just can redo the square, the geometry drawn first.
    -  If I go to menu Edit/Undo (to undo all steps) instead of using the tool from the bar menu, appears an error message
"java.util.EmptyStackException"
History
#1 - 10/03/2012 11:15 AM - Abenchara Socorro
- Target version set to 2.0.0-rc1

#2 - 10/22/2012 05:54 PM - Manuel Madrid
- Priority changed from Normal to High

#3 - 10/29/2012 10:00 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

After previous bugfixes this problem does not happen. You can test it with BN 2057 or higher.

#4 - 11/09/2012 01:15 PM - María Maluenda
- Status changed from Fixed to New

Tested in gvSIG build 2057. If I go to menu Edit/Undo (to undo all steps) instead of using the tool from the bar menu, appears an error message
"java.util.EmptyStackException".

#5 - 11/12/2012 11:04 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r39212

Fixed behavior of undo/redo tools and dialog, and added some icons.

Test: the steps described should now work.

#6 - 11/15/2012 02:23 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Works in build 2058
